%%%%%%%%%%%%%%%%%%%%%%%%%%% qnskhchar.mf %%%%%%%%%%%%%%%%%%%%%%%
% Extended QNASKH Font for AlQalam
% special characters
% 
% 17 Shaban 1427, 10 Sep 2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% (c) Hossam A. H. Fahmy
%
%    This work may be distributed and/or modified under the
%    conditions of the LaTeX Project Public License, either version 1.3
%    of this license or (at your option) any later version.
%    The latest version of this license is in
%      http://www.latex-project.org/lppl.txt
%    and version 1.3 or later is part of all distributions of LaTeX
%    version 2005/12/01 or later.
%     
% This work has the LPPL maintenance status `maintained'.
%
% The Current Maintainer of this work is Hossam A. H. Fahmy.
% (hfahmy@arith.stanford.edu)
%
% This work consists of all the files listed in alqalam_manifest.txt.
%
%     
%      Based on the original work of the arabtex package.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if unknown qnskhbase: input qnskhbase fi;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%  Quran 2006 Project  %%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  *****  Added   *****  %
arabchar( rob3hezb_box , f_iso , 45 , 23 , 50 );

pickup pencircle xscaled 0.8pt yscaled 0.8pt rotated 0;

ccc=42dx;
z5=z.m;%(.5ccc,.5ccc);

draw halfcircle scaled .2ccc shifted z5;
draw halfcircle scaled .05ccc shifted z5;

x2=x5-(0.3/sqrt 2)*ccc;
x4=x5+(0.3/sqrt 2)*ccc;y2=y4=y5+(0.3/sqrt 2)*ccc;

x7=x5;
y7=y5+0.25*ccc;
y8=y9=y5;
x8=x5+0.25ccc;
x9=x5-0.25ccc;

%x11=x22=x5-(0.5/sqrt 2)*ccc;y11=y33=y5-(0.5/sqrt 2)*ccc;
x22=x5-(0.5/sqrt 2)*ccc;y33=y5-(0.5/sqrt 2)*ccc;
x33=x44=x5+(0.5/sqrt 2)*ccc;y22=y44=y5+(0.5/sqrt 2)*ccc;

x66=x77=x5;
y66=y5-0.60*ccc;

y77=y5+0.55*ccc;
y88=y99=y5;
x88=x5+0.5ccc;
x99=x5-0.5ccc;

x80 = x88 = x888;
x90 = x99 = x999;
y80 = y90 = y5-1.5*ccc;
y888 = y999 = y5 - 0.1*ccc;
x777 = x5;
y777 = y5+0.7*ccc;

aaa=70;
bbb=150;
pickup pencircle xscaled 1.2pt yscaled 1.2pt rotated 0;
draw z7{dir -aaa}..z77{dir bbb};
draw z7{dir (180+aaa)}..z77{dir (180-bbb)};

draw z2{dir (45-aaa)}..z22{dir (bbb+45)};
draw z2{dir (225+aaa)}..z22{dir (180-bbb+45)};

draw z9{dir (90-aaa)}..z99{dir (bbb+90)};
%draw z9{dir (270+aaa)}..z99{dir (180-bbb+90)};

draw z8{dir (90+aaa)}..z88{dir (-bbb+90)};
%draw z8{dir (-90-aaa)}..z88{dir (180+bbb+90)};

draw z4{dir (-45-aaa)}..z44{dir (bbb+315)};
draw z4{dir (135+aaa)}..z44{dir (180-bbb+315)};

draw fullcircle scaled .1ccc shifted z7;
draw fullcircle scaled .02ccc shifted z2;
draw halfcircle scaled .05ccc shifted z9;
draw halfcircle scaled .05ccc shifted z8;
draw fullcircle scaled .02ccc shifted z4;

draw halfcircle scaled .05ccc shifted z777;
draw z7--z9--z8--z7;
draw z888--z80--z90--z999--z888;
draw z8--z88;draw z9--z99;
draw z77--z777;

endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  *****  Added   *****  %
arabchar( sajda_box , f_iso , 35 , 23 , 17 );

pickup pencircle xscaled 0.8pt yscaled 0.8pt rotated 0;

ccn=33dx;
z5=z.m;%(.5ccn,.5ccn);

draw halfcircle scaled .2ccc shifted z5;
draw halfcircle scaled .05ccc shifted z5;


%x1=x2=x5-(0.3/sqrt 2)*ccn;y1=y3=y5-(0.3/sqrt 2)*ccn;
%x3=x4=x5+(0.3/sqrt 2)*ccn;y2=y4=y5+(0.3/sqrt 2)*ccn;
x2=x5-(0.3/sqrt 2)*ccn;
x4=x5+(0.3/sqrt 2)*ccn;y2=y4=y5+(0.3/sqrt 2)*ccn;

x7=x5;
y7=y5+0.25*ccn;
y8=y9=y5;
x8=x5+0.25ccn;
x9=x5-0.25ccn;

%x11=x22=x5-(0.5/sqrt 2)*ccn;y11=y33=y5-(0.5/sqrt 2)*ccn;
x22=x5-(0.5/sqrt 2)*ccn;y33=y5-(0.5/sqrt 2)*ccn;
x33=x44=x5+(0.5/sqrt 2)*ccn;y22=y44=y5+(0.5/sqrt 2)*ccn;

x66=x77=x5;
y66=y5-0.60*ccn;

y77=y5+0.55*ccn;
y88=y99=y5;
x88=x5+0.5ccn;
x99=x5-0.5ccn;

x80 = x88 = x888;
x90 = x99 = x999;
y80 = y90 = y5-0.6*ccn;
y888 = y999 = y5 - 0.1*ccn;
x777 = x5;
y777 = y5+0.7*ccn;

aan=70;
bbn=150;
pickup pencircle xscaled 1.2pt yscaled 1.2pt rotated 0;
draw z7{dir -aan}..z77{dir bbn};
draw z7{dir (180+aan)}..z77{dir (180-bbn)};

draw z2{dir (45-aan)}..z22{dir (bbn+45)};
draw z2{dir (225+aan)}..z22{dir (180-bbn+45)};

draw z9{dir (90-aan)}..z99{dir (bbn+90)};
%draw z9{dir (270+aan)}..z99{dir (180-bbn+90)};

draw z8{dir (90+aan)}..z88{dir (-bbn+90)};
%draw z8{dir (-90-aan)}..z88{dir (180+bbn+90)};

draw z4{dir (-45-aan)}..z44{dir (bbn+315)};
draw z4{dir (135+aan)}..z44{dir (180-bbn+315)};


draw fullcircle scaled .1ccn shifted z7;
draw fullcircle scaled .02ccn shifted z2;
draw halfcircle scaled .05ccn shifted z9;
draw halfcircle scaled .05ccn shifted z8;
draw fullcircle scaled .02ccn shifted z4;
draw halfcircle scaled .05ccc shifted z777;
draw z7--z9--z8--z7;
draw z888--z80--z90--z999--z888;
draw z8--z88;draw z9--z99;
draw z77--z777;

endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  *****  Added   *****  %
arabchar( sajda_box_modify , f_iso , 35 , 23 , 0 );

x1 = x3 = 34.5dx; x2 = x4 = 0.5dx ;
y1 = y2 = -2dy ; y3 = y4 = 22dy;

x5 = x6 = 33.5dx ; x7 = x8 = 1.5dx;
y5 = y7 = -1dy; y6 = y8 = 21dy ;

pickup pencircle xscaled .5pt yscaled .5pt rotated 0;
draw z1--z2--z4--z3--z1;
pickup pencircle xscaled .25pt yscaled .25pt rotated 0;
draw z5--z7--z8--z6--z5;

endchar;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  *****  Added   *****  %
arabchar( rob3hezb_sajda_box , f_iso , 45 , 23 , 88 );

pickup pencircle xscaled 0.8pt yscaled 0.8pt rotated 0;

cnc=45dx;
z5=z.m;%(.5cnc,.5cnc);

draw halfcircle scaled .2cnc shifted z5;
draw halfcircle scaled .05cnc shifted z5;


%x1=x2=x5-(0.3/sqrt 2)*cnc;y1=y3=y5-(0.3/sqrt 2)*cnc;
%x3=x4=x5+(0.3/sqrt 2)*cnc;y2=y4=y5+(0.3/sqrt 2)*cnc;
x2=x5-(0.3/sqrt 2)*cnc;
x4=x5+(0.3/sqrt 2)*cnc;y2=y4=y5+(0.3/sqrt 2)*cnc;

x7=x5;
y7=y5+0.25*cnc;
y8=y9=y5;
x8=x5+0.25cnc;
x9=x5-0.25cnc;

%x11=x22=x5-(0.5/sqrt 2)*cnc;y11=y33=y5-(0.5/sqrt 2)*cnc;
x22=x5-(0.5/sqrt 2)*cnc;y33=y5-(0.5/sqrt 2)*cnc;
x33=x44=x5+(0.5/sqrt 2)*cnc;y22=y44=y5+(0.5/sqrt 2)*cnc;

x66=x77=x5;
y66=y5-0.60*cnc;

y77=y5+0.55*cnc;
y88=y99=y5;
x88=x5+0.5cnc;
x99=x5-0.5cnc;

x80 = x88 = x888;
x90 = x99 = x999;
y80 = y90 = y5-1.5*cnc;
y888 = y999 = y5 - 0.1*cnc;
x777 = x5;
y777 = y5+0.7*cnc;

x120 = x122 = x80;
x130 = x133 = x90;
y120 = y130 = y5-1.6*cnc;
y122 = y133 = y5-2.1*cnc;

ana=70;
bnb=150;
pickup pencircle xscaled 1.2pt yscaled 1.2pt rotated 0;
draw z7{dir -aaa}..z77{dir bbb};
draw z7{dir (180+ana)}..z77{dir (180-bnb)};

draw z2{dir (45-ana)}..z22{dir (bnb+45)};
draw z2{dir (225+ana)}..z22{dir (180-bnb+45)};

draw z9{dir (90-ana)}..z99{dir (bnb+90)};
%draw z9{dir (270+ana)}..z99{dir (180-bnb+90)};

draw z8{dir (90+ana)}..z88{dir (-bnb+90)};
%draw z8{dir (-90-ana)}..z88{dir (180+bnb+90)};

draw z4{dir (-45-ana)}..z44{dir (bnb+315)};
draw z4{dir (135+ana)}..z44{dir (180-bnb+315)};


draw fullcircle scaled .1cnc shifted z7;
draw fullcircle scaled .02cnc shifted z2;
draw halfcircle scaled .05cnc shifted z9;
draw halfcircle scaled .05cnc shifted z8;
draw fullcircle scaled .02cnc shifted z4;

draw halfcircle scaled .05ccc shifted z777;
draw z7--z9--z8--z7;
draw z888--z80--z90--z999--z888;
draw z8--z88;draw z9--z99;
draw z77--z777;
draw z120--z122;
draw z130--z133;
draw z120--z130;
draw z122--z133;

endchar;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  *****  Added   *****  %
diachar( emalakobra_warsh , 6 , 6 );

x1 = x.l + 0.15 ( x.r - x.l );   y1 = y.l + 0.5 ( y.r - y.l );
x2 = x.l + 0.85 ( x.r - x.l );   y2 = y.l + 0.5 ( y.r - y.l );
x3 = x.l + 0.5 ( x.r - x.l );    y3 = y.l + 0.85 ( y.r - y.l );
x4 = x.l + 0.5 ( x.r - x.l );    y4 = y.l + 0.15 ( y.r - y.l );
x5 = x.l ;                       y5 = y.l + 0.5 ( y.r - y.l );
x6 = x.r ;                       y6 = y.l + 0.5 ( y.r - y.l );
x7 = x.l + 0.5 ( x.r - x.l );    y7 = y.l ;
x8 = x.l + 0.5 ( x.r - x.l );    y8 = y.r;

pickup pensquare  xscaled .3pt yscaled .3pt rotated 15;
draw z1--z4--z2--z3--z1;
draw z5--z8--z6--z7--z5;

endchar;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  *****  Added   *****  %
diachar(quran_sajda , 10 , 10 );

x1=x.l-.0961(x.r-x.l);    y1=y.l-.1956(y.r-y.l)-0.2(y.r-y.l)-0.2(y.r-y.l);
x2=x.r+.0961(x.r-x.l);    y2=y1;  
x3=x.r;                   y3=y.l-0.2(y.r-y.l)-0.2(y.r-y.l);  
x4=x.l;                   y4=y.r-0.2(y.r-y.l)-0.2(y.r-y.l);
x5=.5(x.r-x.l)+x.l;       y5=y.r+(y.r-y.l)-0.2(y.r-y.l)-0.2(y.r-y.l);
x6=x.r+.2307(x.r-x.l);    y6=y.r+.1739(y.r-y.l)-0.2(y.r-y.l)-0.2(y.r-y.l);
x7=x.l-.2307(x.r-x.l);    y7=y6;
x33=x66-.1923(x.r-x.l) ;  y33=y6+.1956(y.r-y.l);
x44=x77+.1923(x.r-x.l) ;  y44=y33;
x55=x5;                   y55=y5-.42(y.r-y.l);
x66=x.r;                  y66=y6;
x77=x4;                   y77=y7; 

x222=x3;                  y222=y4;%%%
x333=x.l;                 y333=y3;%%%

x11=x12=x13=x14=x15=x16=x17=x.r-.1923(x.r-x.l);
x21=x22=x23=x24=x25=x26=x27=x.l+.1923(x.r-x.l);

y17=y6;                   y27=y7;
y16=y6-.1956(y.r-y.l);    y26=y7-.1956(y.r-y.l);
y15=y16-.1956(y.r-y.l);   y25=y26-.1956(y.r-y.l);
y14=y15-.1956(y.r-y.l);   y24=y25-.1956(y.r-y.l);
y13=y14-.1956(y.r-y.l);   y23=y24-.1956(y.r-y.l);
y12=y13-.1956(y.r-y.l);   y22=y23-.1956(y.r-y.l);
y11=y12-.1956(y.r-y.l);   y21=y22-.1956(y.r-y.l);

draw z1--z2;
draw z3--z222;
draw z2{dir 135}..z3;
%draw z1{dir 45}..z.l;
draw z1{dir 45}..z333;    %%%
draw z.l--z333; 
draw z.l--z4;
draw z222{right}..z6;
draw z4{left}..z7;
draw z77--z66;
draw z33--z44;
draw z66{up}..{dir 140}z33;
draw z77{up}..{dir 40}z44;
draw z6{up}..{dir 90}z5;
draw z7{up}..{dir 90}z5;
draw z33--z55;
draw z44--z55;

draw z12--z22;
draw z13--z23;
draw z14--z24;
draw z15--z25;
draw z16--z26;
draw z17--z27;
draw z11--z17;
draw z21--z27;
draw z11--z21;

endchar;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  *****  Added   *****  %
diachar(negmma, 4, 4);

x1=x.l+(x.r-x.l)/2;y1=y.l+(y.r-y.l)/2;
x2=x.r;y2=y.l;
x3=x.l;y3=y.r;
x4=x1; y4=y.r+(y.r-y1)/2;
x5=x1;y5=y2-(y1-y2)/2;
x6=x2+(x2-x1)/2;y6=y1;
x7=x3-(x1-x3)/2;y7=y1;
draw z.l--z.r;draw z2--z1--z3;draw z4--z5;draw z6--z7;
endchar;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  *****  Added   *****  %
arabchar(quran_qasheda, f_end , 7 , 4 , 0);
draw z.r{dir -155}..{dir 155}z.l;
endchar; 

%  *****  old by quran 2006   *****  %
%diachar(quran_qasheda,9,3);          
%%y.r-y.l=.65;
%%x.r-x.l=5.4;
%x1=x.l                 ;  y1=y.l                 ;
%x2=x.r                 ;  y2=y.r                 ;
%x3=x.l+0.3333(x.r-x.l) ;  y3=y.l-0.3076(y.r-y.l) ;
%x4=x.l-0.1780(x.r-x.l) ;  y4=y.l+0.6923(y.r-y.l) ;
%pickup pensquare xscaled .25pt yscaled .6pt rotated 0;
%draw z4{dir -35}..{dir 25}z2;
%endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

arabchar(quran_3_sly, f_iso, 7.5, 6, .5);

pickup pensquare  xscaled .1pt yscaled .5pt rotated -30;
%pickup dia_pen;
%sad_bow;
x2 - 1/18w = x3 - 9/18w; x2 + 3/18w = x.m + 4/18w; x4 = x2 - 2/18w ;
y2 = y3 - 3/12h = y4 - 2/12h = y.r;
x8 = x2 + 3.5/18w- 3/18w; y8 = y2 + 0.5/12h;
draw z2{(5/18w,6/12h)}..z3{(4/18w,-7/12h)}..tension 2..z2{left};
draw z2{left}..z4; 
%l_att(4);
%def l_att (suffix $) =
x90= x.l + 6/18w; y90=y.l;
x41 = x4 - 1/18w; y41 = y.l;
bow(z4, z41, z90);
%enddef;

%arabchar(lam, f_mid, 5, 15, 0);
x1 + 3/18w = x5 + 2/18w = x.l+ 6/18w; y1 - 11/12h = y5 = y.l;
z9 = 0.7[z1,z5]; draw z1---z9..z90{right};
x10 = x5 - (x90 - x5);y10 = y.l;
bow (z1, z5, z10);
%endchar;

%arabchar(yah_p, f_end, 5, 8, 3);
%yah_p_end;
x81 - 15.5/18w = x71 + 2/18w = x10; y71 = y81 = y10 - 3/12h;
draw z81..tension 3..z71..z10{(6/18w,1/12h)};
%endchar;

endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

arabchar(quran_4_qly, f_iso, 6 , 6.5, 1);

pickup pensquare  xscaled .1pt yscaled .5pt rotated -30;
%fah_beg;
%def fah_beg =
x1 = x2  - 2/12w = x3 + 1/12w = x4 - 2.5/12w; rt x4 = x.r;
y1 = y4 = 4/13h; y2 = y3 = 6/13h;
x16=x3;y16=y.l;
draw z2..z1..z3..z2..z4{down}..z16{left};
%enddef;

%arabchar(lam, f_mid, 5, 15, 0);
x5 + 3/12w = x6 + 2/12w = x16; y5 - 11/13h = y6 = y.l;
z8 = 0.7[z5,z6]; draw z5---z8..z16{right};
x9=x6-(x16-x6);y9=y6;
bow (z5, z6, z9);
%endchar;

%def yah_p_end =
x10 - 8/12w = x12 + 3/12w = x9; y12 = y10 = y.l - 3/13h;
draw z10{dir 185}..z12{dir 175}..z9{(4/12w,1/13h)};
%enddef;
x14=x3+.5(x2-x3);y14=y3;

%def two_dots (expr n) =
 x13 - x14 = x14 - x15 = round(1.25*1/12w);
 y15 = y13 = y14 + round(3.5*1/13h);
 
%def put_dot (suffix $) =
 z131 - z132 = (0, 1/6w) rotated 45;
 z13 = .5[z131, z132];
 draw z131--z132;
 %labels(131,132);

 z151 - z152 = (0, 1/6w) rotated 45;
 z15 = .5[z151, z152];
 draw z151--z152;
 %labels(151,152);
%enddef;

%put_dot(13); put_dot(15);
%enddef;

endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(quran_5_alefjaratulselah, f_iso, 6, 15, -1);
rt x6 = x.r-3dx; bot y6=0;
x7 = x6 - dx; y7 = 13dy;
draw z6{up}..z7{up};
serif(7);
%diachar(fatha, 4, 2.5);
pickup dia_pen;
x1=x7+.7(x6-x7);y1=y.rr+dy;
z2=z1 shifted (3dx,1.5dy);
draw z1--z2;
%endchar;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(quran_6_alefdotoflselah, f_iso, 5.5, 15, -1);
rt x6 = x.r-.3dx; bot y6=0;
x7 = x6 - dx; y7 = 13dy;
draw z6{up}..z7{up};
serif(7);
%diachar(fatha, 4, 2.5);
%pickup dia_pen;
x1=x7+.7(x6-x7);y1=y.rr+dy;
z2=z1 shifted (-2.5dx,0);
%diachar(quran_17_dotofselah,2,2);
fill fullcircle scaled 2/5.5w shifted z2;
%endchar;
%draw z1--z2;
%endchar;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(quran_7_alefdotandjarah, f_iso, 8, 15, -1);
rt x6 = x.m + 1.3dx; bot y6=0;
x7 = x6 - dx; y7 = 13dy;
draw z6{up}..z7{up};
serif(7);
%diachar(fatha, 4, 2.5);
pickup dia_pen;
x1=x7+.7(x6-x7);y1=y.rr+dy;
z2=z1 shifted (3dx,1.5dy);
draw z1--z2;
%endchar;
z3=z1 shifted (-2.5dx,0);
%diachar(quran_17_dotofselah,2,2);
fill fullcircle scaled 2/8w shifted z3;
%endchar;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(quran_13_noon, f_iso, 10, 8, 4);
%def nun_iso =
x1 + 2dx = rt x2 = x.r; x3 = x.m; lft x4 = lft x5 + 1.5dx - pl = x.l;
y1 - 8dy = y2 - 3dy = y4 - 3dy = y5 - 5dy = y3 + dy = y.r - 3dy;
draw z1..z2{down}..z3..z4{up}..z5;
x6=x.m;y6=y1;
put_dot(6);
%enddef;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(quran_18_rob3hezb, f_iso, 20, 11.25, 9.5);

pickup pencircle xscaled .5pt yscaled .5pt rotated 0;

c=18dx;
z5=z.m;%(.5c,.5c);

draw fullcircle scaled .2c shifted z5;
draw fullcircle scaled .05c shifted z5;


x1=x2=x5-(0.3/sqrt 2)*c;y1=y3=y5-(0.3/sqrt 2)*c;
x3=x4=x5+(0.3/sqrt 2)*c;y2=y4=y5+(0.3/sqrt 2)*c;

x6=x7=x5;
y6=y5-0.25*c;
y7=y5+0.25*c;
y8=y9=y5;
x8=x5+0.25c;
x9=x5-0.25c;

x11=x22=x5-(0.5/sqrt 2)*c;y11=y33=y5-(0.5/sqrt 2)*c;
x33=x44=x5+(0.5/sqrt 2)*c;y22=y44=y5+(0.5/sqrt 2)*c;

x66=x77=x5;
y66=y5-0.60*c;

y77=y5+0.60*c;
y88=y99=y5;
x88=x5+0.5c;
x99=x5-0.5c;

a=70;
b=150;
pickup pencircle xscaled .6pt yscaled .6pt rotated 0;
draw z7{dir -a}..z77{dir b};
draw z7{dir (180+a)}..z77{dir (180-b)};

draw z2{dir (45-a)}..z22{dir (b+45)};
draw z2{dir (225+a)}..z22{dir (180-b+45)};

draw z9{dir (90-a)}..z99{dir (b+90)};
draw z9{dir (270+a)}..z99{dir (180-b+90)};

draw z1{dir (135-a)}..z11{dir (b+135)};
draw z1{dir (315+a)}..z11{dir (180-b+135)};

draw z6{dir a}..z66{dir -b};
draw z6{dir (180-a)}..z66{dir (180+b)};

draw z3{dir (45+a)}..z33{dir (-b+45)};
draw z3{dir (225-a)}..z33{dir (180+b+45)};

draw z8{dir (90+a)}..z88{dir (-b+90)};
draw z8{dir (-90-a)}..z88{dir (180+b+90)};

draw z4{dir (-45-a)}..z44{dir (b+315)};
draw z4{dir (135+a)}..z44{dir (180-b+315)};


draw fullcircle scaled .1c shifted z7;
draw fullcircle scaled .02c shifted z2;
draw fullcircle scaled .05c shifted z9;
draw fullcircle scaled .02c shifted z1;
draw fullcircle scaled .1c shifted z6;
draw fullcircle scaled .02c shifted z3;
draw fullcircle scaled .05c shifted z8;
draw fullcircle scaled .02c shifted z4;

draw z7--z9--z6--z8--z7;
%fill z1--z2--z3--cycle;fill z2--z4--z3--cycle;
endchar;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

arabchar(quran_21_ayanumber,f_iso, 28, 17, 11);

pickup pencircle xscaled .5pt yscaled .5pt rotated 0;

z1=z.m+(0,2dy);
j=7;
z2=z1+(0,j*dy);
z3=z1+(0,-j*dy);
z1.l=z1+(0,2*j*dy);
z1.r=z1+(0,-2*j*dy);

z2.l=z2+(-.66*j*dx,0);
z2.r=z2+(.66*j*dx,0);
z3.l=z3+(-.66*j*dx,0);
z3.r=z3+(.66*j*dx,0);

z4=z2.l+(-j*dx,0);
z5=z2.r+(j*dx,0);
z6=z3.l+(-j*dx,0);
z7=z3.r+(j*dx,0);

z4.l=z2.l+(-.3*j*dx,.16*j*dy);
z4.r=z2.r+(.3*j*dx,.16*j*dy);
z6.l=z3.l+(-.3*j*dx,-.16*j*dy);
z6.r=z3.r+(.3*j*dx,-.16*j*dy);


g=65;
draw z2.l{dir g}..z2{dir -g};draw z2{dir g}..z2.r{dir -g};
draw z3.l{dir -g}..z3{dir g};draw z3{dir -g}..z3.r{dir g};

draw z2.l--z4.l;
draw z2.r--z4.r;
draw z3.l--z6.l;
draw z3.r--z6.r;

draw z4.l..z4{left};
draw z4.r..z5{right};
draw z6.l..z6{left};
draw z6.r..z7{right};

z9=.5[z2,z1.l];
z10=.5[z3,z1.r];

z11=.3[z4.r,z5];
z12=.3[z5,z4.r];

z13=.3[z4.l,z4];
z14=.3[z4,z4.l];

z15=.3[z6.r,z7];
z16=.3[z7,z6.r];

z17=.3[z6.l,z6];
z18=.3[z6,z6.l];

fill fullcircle scaled 2.5dx shifted z9;
fill fullcircle scaled 2.5dx shifted z10;

penpos9(5dx,0);penpos14(5dx,45);penpos12(5dx,-45);
draw z14.r{dir 30}..z9.l{right};
draw z12.l{dir 150}..z9.r{left};
penpos10(5dx,0);penpos18(5dx,-45);penpos16(5dx,45);
draw z18.r{dir -30}..z10.l{right};
draw z16.l{dir -150}..z10.r{left};

draw z4{dir 90}..z1.l{dir 45};draw z5{dir 90}..z1.l{dir 135};
draw z6{dir -90}..z1.r{dir -45};draw z7{dir -90}..z1.r{dir -135};

pickup pencircle xscaled .2pt yscaled .2pt rotated 0;
draw z14{dir 225}..z18{dir -45};draw z13{dir 225}..z17{dir -45};
draw z12{dir -45}..z16{dir 225};draw z11{dir -45}..z15{dir 225};
endchar;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

arabchar(quran_22_tinywaw, f_iso, -6, 2.5, 0);
xx=1;yy=.5pt;aa=30;k=(4.5/3.5)*h;
pp = aa - angle(xx,yy);
p=xx++yy;
tinywaw_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%arabchar(quran_23_jeem, f_iso, 5, 3.8, 2.5);

arabchar(quran_23_jeem, f_iso, 4.8, 3.3, 2.2);

%arabchar(quran_23_jeem, f_iso, 6, 5, 4);
pickup pensquare  xscaled xx yscaled yy rotated -aa;
%hhah_iso;
%def hhah_iso =
%hhah_iso_bar;
%def hhah_iso_bar =

x1 - 2/12w = x2 - 11/12w = x.l; y1 - 4/10h = y2 - 4/10h = y.r; 
x3 = x2 - 2/12w; y3 = y2; draw z1{(8/12w,3/10h)}..z2{right};

%enddef;
%hhah_bow;
%def hhah_bow =

lft x4 = x1 - 2/12w = x5 - 8/12w; rt x6 - 6/12w = x5;
y5 = y6 - 1/10h = -10/10h; y4 = 0.6[y2,y5];
penpos4(p,-pp); penpos5(p,90); penpos6(0.3/10h,90);
draw z2{left}..z4{down};
fill z4r{down}..z5r{right}..z6r--z6l--z5l{left}..z4l{up}--cycle;

%enddef;
%enddef;

%%%%khaled%%%%x7=x.m ;y7=y.m - 2dy;
x7=x.m + .4dx ; y7=y.m - 0.8dy;
%put_dot(7);
%def put_dot (suffix $) =
 z7.l - z7.r = (0, xx - yy) rotated aa;
 z7 = .5[z7.l, z7.r];
 draw z7.l -- z7.r;
 %labels(1,2);
%enddef;

endchar;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(quran_11_zay, f_iso, 4, 3.5, 1);
pickup pensquare  xscaled xx yscaled yy rotated -aa;
%def rah_iso =
%rah_bow;
%def rah_bow =
x5 + 1/8w = x2 + 1/8w = x4 + 9/8w =  x.r;
%x3 - xx + 6/8w =
x3 = .5[x4,x5];
y5 + 3/7h = y2 - 0.5/7h = y4 + 6/7h = y.r;y3=y4;
penpos2(p,-pp); penpos3(p,90);
penpos4(0.3/7h,90); penpos5(0.4[yy,xx],0);
%enddef;
y1 - 2/7h = y.r; x1 + 0.5/8w = x2;
penpos1(p,-pp);
fill z1l..z2l..z5l..z3r..z4r{left}--z4l--z3l..z5r..z2r..z1r--cycle;
%enddef;

z6=z1+(-1/8w,2.5/7h);

%put_dot(6);
%def put_dot (suffix $) =
 z6.l - z6.r = (0, xx - yy) rotated aa;
 z6 = .5[z6.l, z6.r];
 draw z6.l -- z6.r;
 %labels(1,2);
%enddef;

endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%  alif   %%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(alif, f_iso, 3, 15, -1);
rt x6 = x.r; bot y6=0;
x7 = x6 - dx; y7 = 13dy;
draw z6{up}..z7{up};
serif(7);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(alif, f_end, 4, 15, 0);
x6 + 2dx = x7 + 3dx = x.r;
y6 = y.r; y7 = 13dy;
z8 = 0.7[z7,z6]; draw z7---z8..z.r{right};
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%% bah family %%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(bah_s, f_iso, 16, 6, 1);
bah_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(bah_s, f_end, 17, 6, 1);
bah_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(bah_s, f_mid, 5, 8, 0);
x1 = x.m; y1 = y.l + 2dy;
draw z.l{right}..z1; draw z1..z.r{right};
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(bah_s, f_beg, 5, 8, 0);
x2 = x1 = x.l + 3dx; y1 - 4dy = y2 - dy = y.l;
draw z1{(4dx,-11dy)}..z2..z.l{left};
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%% bah family with loop %%%%%%%%%%%%%%%%%%%%%%
arabchar(bah_p, f_iso, 16, 6, 3);
bah_iso;
x6 = x5; top y6 = y5; p_loop(6);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(bah_p, f_end, 17, 6, 3);
bah_end;
x6 = x5; top y6 = y5; p_loop(6);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(bah_p, f_mid, 6, 8, 2);
x1 = x2 + dx = x.r - 2dx; y1 - 2dy = y2 = y.l;
draw z.l{right}..z1{up}; draw z1..z.r{right};
p_loop(2);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(bah_p, f_beg, 5, 8, 2);
x2 = x1 = x.l + 3dx; y1 - 4dy = y2 - dy = y.l;
draw z1{(4dx,-11dy)}..z2..z.l{left};
p_loop(2);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%     hhah     %%%%%%%%%%%%%%%%%%%%%%%%
arabchar(hhah, f_iso, 12, 10, 10);
hhah_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(hhah, f_end, 13, 10, 10);
hhah_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(hhah, f_mid, 13, 10, 0);
hhah_mid;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(hhah, f_beg, 12, 8, 0);
hhah_beg;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%    khah   %%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(khah, f_iso, 12, 15, 10);
%  *****  Added   *****  %
hhah_iso; x.m := x.m - 2.7dx; one_dot(10);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(khah, f_end, 13, 15, 10);
%  *****  Added   *****  %
hhah_end; x.m := x.m - 2.7dx; one_dot(10);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(khah, f_mid, 13, 15, 0);
%  *****  Added   *****  %
hhah_mid; x.m := x.m - 2.7dx; one_dot(10);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(khah, f_beg, 12, 15, 0);
%  *****  Added   *****  %
hhah_beg; x.m := x.m - 2.7dx; one_dot(10);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%    dal, dhal    %%%%%%%%%%%%%%%%%%%%%%%
arabchar(dal, f_iso, 7, 10, 0);
dal_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(dal, f_end, 10, 11, 0);
dal_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%    dal with loop    %%%%%%%%%%%%%%%%%%%%%
arabchar(dal_p, f_iso, 7, 10, 0);
dal_iso; p_loop(3);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(dal_p, f_end, 10, 11, 1);
dal_end; 
x6 = x4 + 2dx; y6 = y4; p_loop(6);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%  rah   %%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(rah, f_iso, 8, 5, 5);
rah_iso;
endchar;
arabchar(rah, f_end, 8, 5, 5);
rah_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%    rah with loop    %%%%%%%%%%%%%%%%%%%%
arabchar(rah_p, f_iso, 8, 5, 8);
rah_iso; p_loop(3l);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(rah_p, f_end, 8, 5, 8);
rah_end; p_loop(3l);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%     rah with two dots    %%%%%%%%%%%%%%%%%%%%
arabchar(rah_s, f_end, 8, 5, 6);
rah_end;
x6 = x.r; y6 = y3l; x7 = x3l; y7 = y5 + dy;
put_dot(6); put_dot(7);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(rah_s, f_iso, 8, 5, 6);
rah_iso;
x6 = x.r; y6 = y3l; x7 = x3l; y7 = y5 + dy;
put_dot(6); put_dot(7);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%% kurdish rah %%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(rah_k, f_iso, 8, 5, 10);
rah_iso;
x6 + dx = x7 + 3dx = x.r;
y6 + 3dy = y7 + 8dy = y.r;
draw z6{(dx,-2dy)}..z7;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(rah_k, f_end, 8, 5, 10);
rah_end;
x6 + dx = x7 + 3dx = x.r;
y6 + 3dy = y7 + 8dy = y.r;
draw z6{(dx,-2dy)}..z7;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%    sin    %%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(sin, f_iso, 16, 6, 0);
sin_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(sin, f_end, 18, 6, 0);
sin_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(sin, f_mid, 13, 6, 0);
sin_mid;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(sin, f_beg, 11, 6, 0);
sin_beg;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%     sad     %%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(sad, f_iso, 19, 8, 0);
sad_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(sad, f_end, 19, 8, 0);
sad_iso; draw z.r{left}..z8;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(sad, f_mid, 14, 8, 0);
sad_beg; draw z.r{left}..z8;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(sad, f_beg, 14, 8, 0);
sad_beg;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%      ttah      %%%%%%%%%%%%%%%%%%%%%%%
arabchar(ttah, f_iso, 13, 8, 0);
ttah_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(ttah, f_end, 13, 8, 0);
ttah_iso; draw z.r{left}..z8;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(ttah, f_mid, 12, 8, 0);
ttah_beg; draw z.r{left}..z8; draw z2--z.l;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(ttah, f_beg, 11, 8, 0);
ttah_beg; draw z2--z.l;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%  ain, ghain %%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(ain, f_iso, 11, 11, 10);
ain_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(ain, f_end, 10, 7, 10);
ain_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(ain, f_mid, 9, 7, 0);
ain_mid;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(ain, f_beg, 9, 10, 0);
ain_beg;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%     fah family     %%%%%%%%%%%%%%%%%%%
arabchar(fah_s, f_iso, 17, 11, 0);
fah_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(fah_s, f_end, 18, 10, 0);
fah_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(fah_s, f_mid, 8, 10, 0);
fah_mid;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(fah_s, f_beg, 6, 10, 0);
fah_beg;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%   qaf   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%arabchar(qaf_s, f_iso, 12, 10, 2);
arabchar(qaf_s, f_iso, 12, 10 , 3.5);
qaf_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%arabchar(qaf_s, f_end, 12, 10, 2);
arabchar(qaf_s, f_end, 12, 8, 3.65);
qaf_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(qaf, f_iso, 12, 15, 2);
qaf_iso; two_dots(11);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(qaf, f_end, 12, 15, 4);
qaf_end; two_dots(10);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%   kaf family   %%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_s, f_iso, 16, 15, 0);
gaf_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_s, f_end, 16, 15, 0);
gaf_iso; bow(z3, z4, z.r);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_s, f_mid, 12, 15, 0);
kaf_beg; draw z3{z.r-z3}..z.r{right};
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_s, f_beg, 9, 15, 0);
kaf_beg;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%   kaf   %%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf, f_iso, 10, 15, 0);
x1 = x.r - 2dx; x2 = x.m; x3 = x.l + dx;
y1 = 12dy; y2 = y.r; y3 = y.l + dy;
x4 = x.l + 6dx; y4 = y.l + 4dy;
bow(z1, z.r, z2); bow(z2, z.l, z3);
serif(1); kaf_mark(4);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf, f_end, 12, 15, 0);
x1 + dx = x2 = x.r - 2dx;
x4 = x.m; lft x5 = x6 - dx = x.l;
z3 = .7[z1, z2];
y1 = 12dy; y2 = y.r; y4 = y.r; y5 = y6 - 2dy = y.l + 2dy;
x7 = x.l + 7dx; y7 = y.l + 4dy;
draw z1--z3{z2 - z1}..z4..z5..z6;
draw z3{z2 - z3}..z.r{right};
kaf_mark(7);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%   kaf family with loop   %%%%%%%%%%%%%%%%%%
arabchar(kaf_p_s, f_iso, 16, 15, 0);
gaf_iso;
z8 = .4[z1,z2]; x9 = x8; y9 = bot y8; p_loop(9);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_p_s, f_end, 16, 15, 0);
gaf_iso; bow(z3, z4, z.r);
z8 = .4[z1,z2]; x9 = x8; y9 = bot y8; p_loop(9);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_p_s, f_mid, 12, 15, 0);
kaf_beg; draw z3{z.r-z3}..z.r{right};
z8 = .4[z1,z2]; x9 = x8; y9 = bot y8; p_loop(9);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_p_s, f_beg, 9, 15, 0);
kaf_beg;
z8 = .4[z1,z2]; x9 = x8; y9 = bot y8; p_loop(9);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%     kaf with loop     %%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_p, f_iso, 16, 15, 0);
gaf_iso; 
x8 = .6[x.l, x4]; y8 = y.l + 4dy;   kaf_mark(8);
z18 = .4[z1,z2]; x9 = x18; y9 = bot y18; p_loop(9);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_p, f_end, 16, 15, 0);
gaf_iso; bow(z3, z4, z.r);
x8 = .6[x.l, x4]; y8 = y.l + 4dy;   kaf_mark(8);
z18 = .4[z1,z2]; x9 = x18; y9 = bot y18; p_loop(9);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%   wide kaf   %%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_w, f_iso, 16, 10, 0);
serpent; ttah_tail;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_w, f_end, 16, 10, 0);
serpent; draw z.r{left}..z1; ttah_tail;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_w, f_mid, 16, 10, 0);
serpent; draw z.r{left}..z1; draw z2{left}..z.l;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(kaf_w, f_beg, 16, 10, 0);
serpent; draw z2{left}..z.l;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%   gaf family   %%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(gaf_s, f_iso, 16, 16, 0);
gaf_iso; gaf_serif;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(gaf_s, f_end, 16, 16, 0);
gaf_iso; bow(z3, z4, z.r);
gaf_serif;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(gaf_s, f_mid, 12, 16, 0);
kaf_beg; draw z3{z.r-z3}..z.r{right};
gaf_serif;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(gaf_s, f_beg, 9, 16, 0);
kaf_beg; gaf_serif;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%% gaf %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(gaf, f_iso, 16, 16, 0);
gaf_iso; gaf_serif; 
x8 = .6[x.l, x4]; y8 = y.l + 4dy;   kaf_mark(8);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(gaf, f_end, 16, 16, 0);
gaf_iso; bow(z3, z4, z.r); gaf_serif; 
x8 = .6[x.l, x4]; y8 = y.l + 4dy;   kaf_mark(8);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%  gaf family with loop  %%%%%%%%%%%%%%%%%%%
arabchar(gaf_p_s, f_iso, 16, 18, 0);
gaf_iso;
z8 = .4[z1,z2]; x9 = x8; y9 = bot y8; p_loop(9);
gaf_serif;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(gaf_p_s, f_end, 16, 16, 0);
gaf_iso; bow(z3, z4, z.r);
z8 = .4[z1,z2]; x9 = x8; y9 = bot y8; p_loop(9);
gaf_serif;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(gaf_p_s, f_mid, 12, 16, 0);
kaf_beg; draw z3{z.r-z3}..z.r{right};
z8 = .4[z1,z2]; x9 = x8; y9 = bot y8; p_loop(9);
gaf_serif;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(gaf_p_s, f_beg, 9, 16, 0);
kaf_beg;
z8 = .4[z1,z2]; x9 = x8; y9 = bot y8; p_loop(9);
gaf_serif;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%   lam   %%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(lam, f_iso, 9, 15, 4);
rt x4 = w; lft x5 = 0; x1 = x4 - dx; x3 = x5 + dx;
y1 = 12dy; y3 = 3dy; y4 = y5 = 0;
draw z1{down}..z4{down}..z5{up}..z3; serif(1);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(lam, f_end, 12, 15, 5);
x1 + 3dx = x2 + 2dx = x.r; y1 - 11dy = y2 = y.r;
z8 = 0.7[z1,z2]; draw z1---z8..z.r{right};
s_bow(1);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(lam, f_mid, 5, 15, 0);
x1 + 3dx = x2 + 2dx = x.r; y1 - 11dy = y2 = y.r;
z8 = 0.7[z1,z2]; draw z1---z8..z.r{right};
bow (z1, z2, z.l);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(lam, f_beg, 4, 15, 0);
x1 = x2 - dx = x.l + 2dx;
y1 = 12dy; y2 = y.l; z3 = 0.8[z1, z2];
draw z1..z3{z2 - z3}..z.l{left}; serif(1);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%   mim   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(mim, f_iso, 7, 10, 5);
x2 + 6dx = x4 + 4dx = x5 + 3.5dx = x6 + 4.5dx = x1;
y2 + dy = y4 + 11dy = y5 - 2.5dy = y6 - 1.5dy = y1;
z2 = z.l; bow(z4,z2,z1); bow(z6,z5,z1);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(mim, f_end, 10, 10, 1);
x1 + 0.5dx = x2 - 2.5dx = x3 + 2dx = x5 - 2dx = x.m;
y1 - 3dy = y2 - 0.5dy = y3 - 1.5dy = y5 - dy = y.l;
x4 = x.l + 2dx; y4 = -8dy;
draw z.r{left}..z5..z1..tension 1.5..z3;
draw z3{down}..tension 1.2..z2;
bow(z3, z.l, z4);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(mim, f_mid, 8, 10, 1);
x1 + 0.5dx = x2 - 2.5dx = x3 + 2dx = x5 - 2dx = x.m;
y1 - 3dy = y2 - 0.5dy = y3 - 1.5dy = y5 - dy = y.l;
draw z.r{left}..z5..z1..tension 1.5..z3
& z3{down}..tension 1.2..z2; l_att(3);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(mim, f_beg, 7, 10, 0);
x1 = x2 - dx = x3 + 2dx = x.l + 5dx;
y1 - 4dy = y2 = y3 - 2dy = y.l;
draw z3..tension 2..z2..tension 1.5..z1..z3..z.l{left};
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%arabchar(mim_sind, f_iso, 7, 10, 0);
arabchar(mim_waqf, f_iso, 5, 5, 0.5);
%x1 = x2 - dx = x3 + 2dx = x.l + 5dx;
x1 + 1.25dx = x2 +0.25dx = x3 + 2.5dx = x.l + 5dx;
y1 - 4dy = y2 = y3 - 2dy = y.l;
x4 = x.l; y4 = y.l - 2dy;
pickup pensquare  xscaled .3pt yscaled .65pt rotated -20;
draw z3..tension 2..z2..tension 1.5..z1..z3..z4{left};
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%   nun   %%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(nun, f_iso, 10, 8, 4);
nun_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(nun, f_end, 11, 4, 7);
nun_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%   nun with loop   %%%%%%%%%%%%%%%%%%%%%
arabchar(nun_p, f_iso, 10, 8, 6);
nun_iso;
x6 = x3; top y6 = y3; p_loop(6);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(nun_p, f_end, 11, 4, 9);
nun_end;
x6 = x5; top y6 = y5; p_loop(6);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%% hah, tah marbuta %%%%%%%%%%%%%%%%%%%%%%
arabchar(hah, f_iso, 5, 10, 0);
hah_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(hah, f_end, 6, 10, 0);
hah_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(hah, f_mid, 6, 10, 4);
x1 + dx = x2 = x3 = x4 + 2dx = x.m + dx;
y1 = y2 - 4dy = y3 + 4dy = y4 = y.r;
draw z1{(7dx,-4dy)}..z3..z4{up}..z2;
draw z2{(5dx,-6dy)}..z.l{left}; draw z.r--z1;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(hah, f_beg, 9, 10, 0);
x1 + 0.5dx = x2 = x3 + 1.5dx = x4 - 1.5dx = x.r - 5dx;
x6 + dx = x5 - 3dx = x.r;
y1 = 7dy; y2 = 2dy; y3 = y4 = 4dy; y6 = dy;
draw z1{curl 0}..tension 1.5..z6..tension 2..z2..z3..z4..z2..z.l{left};
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%    waw   %%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(waw, f_iso, 9, 7, 6);
waw_bow;
draw z2{(-7dx,-4dy)}..z6..z1{right}..z2{(4dx,-11dy)};
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(waw, f_end, 10, 7, 6);
x.r := x.r - dx; waw_bow; x.r := x.r + dx;
draw z.r{left}..z6..z1{right}..z2{(4dx,-11dy)};
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%   waw with ring   %%%%%%%%%%%%%%%%%%%%
arabchar(waw_r, f_iso, 9, 7, 6);
waw_bow;
draw z2{(-7dx,-4dy)}..z6..z1{right}..z2{(4dx,-11dy)};
%x8 = x3; y8 = y5; p_loop(8);
x8 = x3; y8 = y5 + dy; p_loop(8);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(waw_r, f_end, 10, 7, 6);
x.r := x.r - dx; waw_bow; x.r := x.r + dx;
draw z.r{left}..z6..z1{right}..z2{(4dx,-11dy)};
x8 = x3; y8 = y5 + .5dy; p_loop(8);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%  waw with bar  %%%%%%%%%%%%%%%%%%%%%%%%
arabchar(waw_b, f_iso, 9, 7, 6);
waw_bow;
draw z2{(-7dx,-4dy)}..z6..z1{right}..z2{(4dx,-11dy)};
waw_bar;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(waw_b, f_end, 10, 7, 6);
x.r := x.r - dx; waw_bow; x.r := x.r + dx;
draw z.r{left}..z6..z1{right}..z2{(4dx,-11dy)};
waw_bar;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%   yah, alif_maqsura   %%%%%%%%%%%%%%%%%%%
arabchar(yah, f_iso, 13, 5, 5);
yah_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(yah, f_end, 11, 5, 7);
yah_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




%%%%%%%%%%%%%%%%%%%%%%%%%%  long yah %%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(yah_p, f_iso, 15, 8, 3);
yah_p_iso;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(yah_p, f_end, 5, 8, 3);
yah_p_end;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(yah_p_s, f_iso, 15, 8, 5);
yah_p_iso;
x11 = x.r - 7dx; top y11 = y8; p_loop(11);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(yah_p_s, f_end, 5, 8, 5);
yah_p_end;
x11 = x.r - 2dx; top y11 = y8; p_loop(11);
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%   yah with hook   %%%%%%%%%%%%%%%%%%%%%%
arabchar(yah_h, f_iso, 15, 5, 5);
yah_iso;
x7 = x5 - 3dx; y7 = y5 - 5dy; draw z5--z7;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(yah_h, f_end, 13, 5, 7);
yah_end;
x7 = x5 - 3dx; y7 = y5 - 5dy; draw z5--z7;
endchar;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%   hamza    %%%%%%%%%%%%%%%%%%%%%%%%%
arabchar(hamza_iso, f_iso, 5, 8, 0);
x3 = x1 + 3.5dx = x2 + 3.5dx = x7; x8 = x2 + 0.2dx +0.3py;
y3 - 3dy = y1 + dy = y2 - 2dy = y7 = y.r + dy; y8 = y2;
lda := 0.5[pa,90]; x.m = 0.5[x1,x7];
penpos7(px,pa); penpos3(0.3dy,90);
penpos2(px,lda); penpos8(px,lda);
fill z7l{z1-z7}..z2l{up}--z2r--z8r{down}..z7r{z7-z1}--cycle;
fill z2r{(7dx,10dy)}..z3r--z3l..z8l{(-7dx,-10dy)}--z2l--cycle;
draw z1..z7;
endchar;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

endinput;

%%%%%%%%%%%%%%%%%%%%%%%%   EOF   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

